POST /katello/api/repositories/841753487/upload_content
{
"content_type": "cheese",
"repository": {
"content_type": "cheese"
}
}
422
{
"message": "Invalid params provided - content_type must be one of deb,file,ostree_ref,python_package,rpm,srpm",
"errors": [
"Invalid params provided - content_type must be one of deb,file,ostree_ref,python_package,rpm,srpm"
]
}
| Param name | Description |
|---|---|
|
id
required |
repository ID Validations:
|
|
content
required |
Content files to upload. Can be a single file or array of files. Validations:
|
|
content_type
optional |
The type of content to upload (srpm, file, etc.). Check uploadable types here: /katello/api/repositories/repository_types Validations:
|